Skip to main content
GET
/
job
/
{jobId}
/
deploymentHistoryV2
List job deployments
curl --request GET \
  --url https://api.qovery.com/job/{jobId}/deploymentHistoryV2 \
  --header 'Authorization: Bearer <token>'
{
  "page": 1,
  "page_size": 20,
  "results": [
    {
      "identifier": {
        "name": "<string>",
        "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "service_type": "APPLICATION",
        "execution_id": "<string>"
      },
      "status": "BUILDING",
      "auditing_data": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "triggered_by": "<string>",
        "origin": "API"
      },
      "details": {
        "commit": {
          "created_at": "2023-11-07T05:31:56Z",
          "git_commit_id": "<string>",
          "tag": "v2.1.1",
          "message": "<string>",
          "author_name": "<string>",
          "author_avatar_url": "<string>",
          "commit_page_url": "<string>"
        },
        "build_pod_name": "<string>"
      },
      "status_details": {
        "action": "DEPLOY",
        "status": "QUEUED",
        "sub_action": "NONE"
      },
      "icon_uri": "<string>",
      "total_duration": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

jobId
string<uuid>
required

Query Parameters

pageSize
number | null
default:20

The number of deployments to return in the current page

Response

List deployment history

page
number
required
Example:

1

page_size
number
required
Example:

20

results
object[]